import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Font;
import java.awt.Color;
/**
 * Write a description of class Nilai here.
 * 
 * @author (Muhidin Saimin) 
 * @version (1.0.0)
 * tanggal 2 Des 2008
 */
public class Nilai extends Actor
{
    /**
     * Act - do whatever the Nilai wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    private int angka = 0;
    private int target = 0;
    private String huruf;
    private int panjangHuruf;
    
    public Nilai(String depan)
    {
        huruf=depan;
        panjangHuruf = (huruf.length() + 2) * 16;

        setImage(new GreenfootImage(panjangHuruf, 24));
        GreenfootImage gambar = getImage();
        Font jenisHuruf = gambar.getFont();
        gambar.setFont(jenisHuruf.deriveFont(24.0F));  // Huruf terbesar 24,nol-ef
        
        gantiGambar();        
    }
    private void gantiGambar()
    {
        GreenfootImage gambar = getImage();
        gambar.clear();
        
        gambar.setColor(Color.RED);
//        gambar.fillRect(20, 4, 24, 16); //background tulisan
        
        gambar.drawString(huruf + angka, 1, 18);
    } 
    //membuat nilai bertambah
    public void tambah(int skor)
    {
        target += skor;
    }
    //nilai berkurang
    public void kurang(int skor)
    {
        target -= skor;
    }    
    public int nilaiAkhir()
    {
        return angka;
    }
    public void act() 
    {
        //jika angka kurang dari target maka nilai bertambah
        if(angka < target) 
        {
            angka++;
            gantiGambar();
        }
        else if(angka > target) 
        {
            angka--;
            gantiGambar();
        }
    }
}
