import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
import java.awt.Font;
import java.util.Calendar;
/** 
 * @author (Muhidin S) 
 * @version (1.0.0)
 */
public class PapanSkor extends Actor
{
    public static final float besarHuruf = 48.0f;
    public static final int lebar = 500;
    public static final int tinggi = 300;   
    //Tulisan yang muncul dilayar
    public PapanSkor(int skor)
    {
        bikinGambar("SELAMAT", "Skor Akhir: ", skor);
    }
     // Membuat gambar papan skor
    private void bikinGambar(String judul, String depan, int skor)
    {
        GreenfootImage gambar = new GreenfootImage(lebar, tinggi);

        gambar.setColor(new Color(25, 5, 74, 160));
        gambar.fillRect(0, 0, lebar, tinggi);
        gambar.setColor(new Color(255, 255, 255, 50));
        gambar.fillRect(5, 5, lebar-10, tinggi-10);
        Font font = gambar.getFont();
        font = font.deriveFont(besarHuruf);
        gambar.setFont(font);
        gambar.setColor(Color.GREEN);
        gambar.drawString(judul, 60, 100);
        gambar.drawString(depan + skor, 60, 200);
        setImage(gambar);
    }     
}
